package org.jeecg.modules.warning.model;

import org.jeecg.modules.warning.entity.ATemplate;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class chartTemplateTreeModel implements Serializable {
    private static final long serialVersionUID = 1L;

    public chartTemplateTreeModel(ATemplate template){
        this.key=template.getId();
        this.title=template.getTitle();
        this.yType=template.getYType();
        this.formType="configure";
    }
    private String key;
    private String title;
    private String yType;
    private String formType;
    private List<chartTrackTreeModel> children= new ArrayList<>();


    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getyType() {
        return yType;
    }

    public void setyType(String yType) {
        this.yType = yType;
    }

    public List<chartTrackTreeModel> getChildren() {
        return children;
    }

    public void setChildren(List<chartTrackTreeModel> children) {
        this.children = children;
    }

    public String getFormType() {
        return formType;
    }

    public void setFormType(String formType) {
        this.formType = formType;
    }
}
